Loading...
Searching...
No Matches
Dune::IsCompileTimeConstant< T > Struct Template Reference
Common » Utilities » C++ utilities and backports

Check if T is an integral constant or any type derived from std::integral_constant. More...

`#include <dune/common/typetraits.hh>`

## Detailed Description

template<class T>
struct Dune::IsCompileTimeConstant< T >

Check if T is an integral constant or any type derived from std::integral_constant.

The result is exported by deriving from std::true_type or std::false_type.

The documentation for this struct was generated from the following file:

- typetraits.hh